Package com.xebialabs.xlrelease.risk.domain.riskassessors

## Class PlanItemDueDateRiskAssessor

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor
    - - com.xebialabs.xlrelease.risk.domain.riskassessors.PlanItemDueDateRiskAssessor

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `MoreThanOneTaskOverDueRiskAssessor`, `OneTaskOverDueRiskAssessor`, `ReleaseDueDateRiskAssessor`

      public abstract class PlanItemDueDateRiskAssessor
      extends RiskAssessor

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `PLAN_ITEM_OVERDUE_MESSAGE` |

    - ### Fields inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

      `description, group, icon, OK_HEADLINE, OK_SCORE, order, score, title, weight`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlanItemDueDateRiskAssessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `formatMessage​(PlanItem planItem)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

      `execute, getDescription, getGroup, getIcon, getOrder, getScore, getTitle, getWeight, setDescription, setGroup, setIcon, setOrder, setScore, setTitle, setWeight`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLAN_ITEM_OVERDUE_MESSAGE

          protected static final java.lang.String PLAN_ITEM_OVERDUE_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlanItemDueDateRiskAssessor

          public PlanItemDueDateRiskAssessor()

  - ### Method Detail

    - #### formatMessage

          protected java.lang.String formatMessage​(PlanItem planItem)